# atlcloudjira\_priority (Resource)

## Example Usage

```terraform
import {
  to = atlcloudjira_priority.SamplePriorityResource
  id = 10014
}

# __generated__ by Terraform
# Please review these resources and move them into your main configuration files.

# __generated__ by Terraform from "10014"

resource "atlcloudjira_priority" "SamplePriorityResource" {
  name                = "Sample Priority"
  description         = "Sample description"
  icon_url            = "https://silessian-dev.atlassian.net/images/icons/priorities/lowest.svg"
  is_default          = false // set delegate_default_to while modifying to false
  status_color        = "#ABCDEF"
  replace_with        = 1                                                    // Required while destroying resource. Priority is swapped with provided priority ID.
  delegate_default_to = atlcloudjira_priority.ReplacementPriorityResource.id // Required while setting is_default to false. Default Priority is delegated to provided priority ID.
}

resource "atlcloudjira_priority" "ReplacementPriorityResource" {
  name         = "Replacement Priority"
  description  = "Test description"
  icon_url     = "https://silessian-dev.atlassian.net/images/icons/priorities/high.svg"
  is_default   = true
  status_color = "#FBCDEF"
}
```

## Schema

### Required

* `icon_url` (String) The URL of the icon for the issue priority.
* `name` (String) The name of the issue priority.
* `status_color` (String) The color used to indicate the issue priority.

### Optional

* `delegate_default_to` (Number) Helper attribute. Required when setting default to false. Default priority is delegated to provided ID.
* `description` (String) The description of the issue priority.
* `is_default` (Boolean) Whether this priority is the default.
* `replace_with` (Number) Helper attribute. Required when destroying resource. Priority is swapped with provided ID.

### Read-Only

* `id` (Number) The ID of the issue priority.
* `last_updated` (String) Timestamp of the last Terraform update of the Priority.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.silessian.com/planapply-for-jira-cloud/terraform-provider-for-jira-cloud/terraform-provider-for-jira-cloud/atlcloudjira_priority-resource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
